space_element

## Public Types

typedef space_constant::valued_type | valued_type

## Public Member Functions

| space_element (std::string name, reference_element hat_K)
| space_element (const basis &b, reference_element hat_K)
valued_type | valued_tag () const

## Public Attributes

basis | _b
reference_element | _hat_K

## Detailed Description

Definition at line 38 of file field_element.h.

## Member Typedef Documentation

## valued_type

typedef space_constant::valued_type valued_type

Definition at line 40 of file field_element.h.

## Constructor & Destructor Documentation

## space_element() [1/2]

space_element | ( | std::string | name,
|  | reference_element | hat_K
| ) |  |

Definition at line 41 of file field_element.h.

## space_element() [2/2]

space_element | ( | const basis & | b,
|  | reference_element | hat_K
| ) |  |

Definition at line 43 of file field_element.h.

## Member Function Documentation

## valued_tag()

valued_type valued_tag | ( |  | ) | const

Definition at line 45 of file field_element.h.

## Member Data Documentation

## _b

basis _b

Definition at line 47 of file field_element.h.

## _hat_K

reference_element _hat_K

Definition at line 48 of file field_element.h.

The documentation for this struct was generated from the following file:

- /build/rheolef-FQTnje/rheolef-7.1/fem/lib/field_element.h